package com.censoft.flink.transform;

import com.censoft.flink.domain.AlgorithmPushDto;
import com.censoft.flink.domain.AlgorithmSceneBasePo;
import com.censoft.flink.domain.AlgorithmScenePiecePo;
import org.apache.flink.api.common.functions.FilterFunction;

/**
 * 编写算法块代码步骤
 * 1.继承AlgorithmBaseFilterFunction接口
 * 2.加入AlgorithmSceneBasePo、AlgorithmScenePiecePo 默认参数
 * 3.编写getFrameFilterFunction静态方法并初始化算法块所需参数
 * 4.重写filter过滤方法
 */
public interface AlgorithmBaseFilterFunction extends FilterFunction<AlgorithmPushDto> {

    //获取对应算法块过滤器实例
    public static AlgorithmBaseFilterFunction getFilterFunction(AlgorithmSceneBasePo algorithmSceneBasePo, AlgorithmScenePiecePo algorithmScenePiecePo) {
        return null;
    }
}
